function InputdialogAssistant(sceneAssistant, oldName, index, isR) {
  this.sceneAssistant = sceneAssistant;
  this.oldName = oldName;
  this.index = index;
  this.isRecords = isR;
}
InputdialogAssistant.prototype.setup = function(widget) {
  this.widget = widget;
  this.ioHelper = new IOHelper();
  // Setup text field for the name of playlist
  //
  this.sceneAssistant.controller.setupWidget("nameField",
    this.nameAttributes = {
      property: "value",
      hintText: $L("recording name"),
      autoFocus: true,
      limitResize: true,
	  modifierState: Mojo.Widget.shiftSingle,
	  maxLength: 20,
	  focusMode: Mojo.Widget.focusSelectMode
    },
    this.nameModel = {value : this.oldName}
  );
  // Setup button and event handler
  //
  this.sceneAssistant.controller.setupWidget("dialog-ok-button",
    this.attributes = {},
    this.model = {
      buttonLabel: $L("Rename"),
      disabled: false
    }
  );
  Mojo.Event.listen(this.sceneAssistant.controller.get('dialog-ok-button'), Mojo.Event.tap, this.okTapped.bindAsEventListener(this));
};


InputdialogAssistant.prototype.okTapped = function() {
	
	var newName = this.nameModel.value;
	var oldName = this.oldName;
	
	var model = undefined, model2 = undefined;
	
	if (!this.isRecords){
		var model = this.sceneAssistant.listAllRecordingsModel;
		var model2 = this.sceneAssistant.listRecentRecordingsModel;
	}
	else{
		var model = this.sceneAssistant.listAllRecordingsModel;	
	}
	
	try{
		model.items[this.index].data = newName;
		model2.items[this.index].data = newName;
	}
	catch(e){}
	
	
	
	this.ioHelper.renameFile(VR_FOLDER + oldName + VR_EXTENSION, VR_FOLDER + newName + VR_EXTENSION, 
		function(r){
			Mojo.Log.info(Object.toJSON(r));
		}.bind(this)
	);
	
	if (!this.isRecords){
		this.sceneAssistant.controller.modelChanged(model2, this.sceneAssistant);
	}
	
	this.sceneAssistant.controller.modelChanged(model, this.sceneAssistant);
	
	this.widget.mojo.close();
};